// pages/alterShopPassword/alterShopPassword.js
var http = require("../../utils/http.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    oldPassword: '',
    newPassword: '',
    confirmPassword: '', //确认密码
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },


  /**
   * 修改密码
   */
  updateShopPassword: function() {
    wx.showLoading();
    if (this.data.oldPassword.length == 0) {
      wx.showToast({
        title: '请输入旧密码',
        icon: 'none'
      })
    } else if (this.data.newPassword.length == 0) {
      wx.showToast({
        title: '请输入新密码',
        icon: 'none'
      })
    } else if (this.data.confirmPassword.length == 0) {
      wx.showToast({
        title: '请确认密码',
        icon: 'none'
      })
    } else if (this.data.confirmPassword != this.data.newPassword) {
      wx.showToast({
        title: '新密码与确认密码不一致！',
        icon: 'none'
      })
    } else {
      var params = {
        url: "/p/shop/updatePassword",
        methos: "POST",
        data: {
          password: this.data.oldPassword,
          newPassword: this.data.newPassword,
        },
        callBack: (res) => {
          wx.hideLoading();
          wx.showToast({
            title: '修改成功！',
            duration: 2000,
            success: function () {
              wx.switchTab({
                url: '/pages/user/user'
              })
            }
          })
        }
      };
      http.request(params)
    }
  },

  /**
   * 获取input框的输入信息
   */
  bindOldPasswordInt: function (e) {
    this.setData({
      oldPassword: e.detail.value
    })
  },
  bindNewPasswordInt:function (e) {
    this.setData({
      newPassword: e.detail.value
    })
  },
  bindConfirmPasswordInt: function (e) {
    this.setData({
      confirmPassword: e.detail.value
    })
  },



  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})